<?php
session_start();

// Ensure user is logged in
if (!isset($_SESSION['username'])) {
    echo "You must be logged in to view this page.";
    exit;
}

// Database connection details
$host = 'localhost:3306';       // Database host
$dbname = 'dotbteam_aquaclock';     // Database name
$username = 'dotbteam_aqua';        // Your database username
$password = 'Stormtrooper@07';            // Your database password

// Create connection
$conn = new mysqli($host, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get logged-in user's name and fetch their details from the users table
$userName = $_SESSION['username'];
$query = "SELECT * FROM users WHERE username = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("s", $userName);
$stmt->execute();
$result = $stmt->get_result();

// If user not found
if ($result->num_rows == 0) {
    echo "User not found.";
    exit;
}

$user = $result->fetch_assoc();

// Get the role_id of the logged-in user
$role_id = $user['role_id'];

// Fetch the role name from the roles table based on the role_id
$query = "SELECT role_name FROM roles WHERE id = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("i", $role_id);
$stmt->execute();
$result = $stmt->get_result();

// If role not found
if ($result->num_rows == 0) {
    echo "Role not found.";
    exit;
}

$role = $result->fetch_assoc();
$role_name = $role['role_name'];  // Get the role name
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Account Details</title>
    <!-- Include Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <style>
        /* Custom styles for card and button */
        .account-card {
            border-radius: 10px;
            box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
            padding: 30px;
        }
        .account-card th {
            width: 30%;
        }
        .account-card td {
            width: 70%;
        }
        .floating-button {
            position: fixed;
            bottom: 15px;
            left: 15px;
            z-index: 100;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
            transition: transform 0.3s ease-in-out;
        }
        .floating-button:hover {
            transform: scale(1.05);
        }
    </style>
</head>
<body>

<!-- Navbar -->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
        <a class="navbar-brand" href="dashboard.php">AquaClock</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item"><a class="nav-link" href="clockins.php">Clockins</a></li>
                <li class="nav-item"><a class="nav-link" href="account.php">Account</a></li>
            </ul>
            <ul class="navbar-nav ms-auto">
                <li class="nav-item">
                    <a class="nav-link text-danger" href="logout.php">Logout</a>
                </li>
            </ul>
        </div>
    </div>
</nav>

<!-- Account Information Section -->
<div class="container mt-5">
    <div class="account-card bg-white">
        <h2 class="mb-4">Your Account Details</h2>
        <table class="table table-borderless">
            <tbody>
                <tr>
                    <th>Username</th>
                    <td><?php echo $user['username']; ?></td>
                </tr>
                <tr>
                    <th>Email</th>
                    <td><?php echo $user['email']; ?></td>
                </tr>
                <tr>
                    <th>Role</th>
                    <td><strong><?php echo $role_name; ?></strong></td>
                </tr>
                <tr>
                    <th>First Name</th>
                    <td><?php echo $user['FirstName']; ?></td>
                </tr>
                <tr>
                    <th>Last Name</th>
                    <td><?php echo $user['last_name']; ?></td>
                </tr>
                <tr>
                    <th>Phone</th>
                    <td><?php echo $user['phone']; ?></td>
                </tr>
                <tr>
                    <th>Address</th>
                    <td><?php echo $user['address']; ?></td>
                </tr>
            </tbody>
        </table>
        <p><i>Note: To request changes please contact your manager.</i></p>
    </div>
</div>


<!-- Floating Button to Dashboard -->
<a href="dashboard.php" class="btn btn-primary floating-button">
    <i class="bi bi-house-door"></i> Go to Dashboard
</a>

<!-- Include Bootstrap JS -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>

</body>
</html>

<?php
// Close the database connection
$conn->close();
?>
