<?php
session_start();

// Ensure user is logged in
if (!isset($_SESSION['username'])) {
    echo "You must be logged in to view this page.";
    exit;
}

// Database connection details
$host = 'localhost:3306';       // Database host
$dbname = 'dotbteam_aquaclock';     // Database name
$username = 'dotbteam_aqua';        // Your database username
$password = 'Stormtrooper@07'; 

// Create connection
$conn = new mysqli($host, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get logged-in user's name and fetch their role_id from the users table
$userName = $_SESSION['username'];
$query = "SELECT role_id FROM users WHERE username = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("s", $userName);
$stmt->execute();
$result = $stmt->get_result();

// If user not found or role_id not set
if ($result->num_rows == 0) {
    echo "User not found.";
    exit;
}

$user = $result->fetch_assoc();
$role_id = $user['role_id'];  // Get the user's role_id

// Now fetch the permissions associated with this role
$query = "SELECT permissions FROM roles WHERE id = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("i", $role_id);
$stmt->execute();
$result = $stmt->get_result();

// If no role is found for the given role_id
if ($result->num_rows == 0) {
    echo "Role not found.";
    exit;
}

$role = $result->fetch_assoc();
$permissions = explode(',', $role['permissions']);  // Permissions as an array
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Your Clock-ins</title>
    <!-- Include Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>

<!-- Navbar -->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
        <a class="navbar-brand" href="dashboard.php">AquaClock</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item"><a class="nav-link" href="clockins.php">Clockins</a></li>
                <?php if (in_array('reports', $permissions)): ?>
                    <li class="nav-item"><a class="nav-link" href="#">Reports</a></li>
                <?php endif; ?>
                <?php if (in_array('config', $permissions)): ?>
                    <li class="nav-item"><a class="nav-link" href="#">Config</a></li>
                <?php endif; ?>
                <?php if (in_array('manage_company', $permissions)): ?>
                    <li class="nav-item"><a class="nav-link" href="#">Manage Company</a></li>
                <?php endif; ?>
                <li class="nav-item"><a class="nav-link" href="account.php">Account</a></li>
            </ul>
            <ul class="navbar-nav ms-auto">
                <li class="nav-item">
                    <a class="nav-link text-danger" href="logout.php">Logout</a>
                </li>
            </ul>
        </div>
    </div>
</nav>

<div class="container mt-5">
    <h2>Your Clock-ins</h2>
    <table class="table table-bordered">
        <thead>
            <tr>
                <th>ID</th>
                <th>Date</th>
                <th>Clock-in Time</th>
                <th>Clock-out Time</th>
                <th>Last Updated</th>
            </tr>
        </thead>
        <tbody>
            <?php
            // Query to fetch clock-ins for the logged-in user
            $query = "SELECT * FROM punches WHERE username = ? ORDER BY date DESC";
            $stmt = $conn->prepare($query);
            $stmt->bind_param("s", $userName);
            $stmt->execute();
            $result = $stmt->get_result();
            
            if ($result->num_rows > 0) {
                while ($row = $result->fetch_assoc()) {
                    echo "<tr>
                            <td>{$row['id']}</td>
                            <td>{$row['date']}</td>
                            <td>{$row['time_in']}</td>
                            <td>{$row['time_out']}</td>
                            <td>{$row['updated_at']}</td>
                        </tr>";
                }
            } else {
                echo "<tr><td colspan='4'>No clock-ins found.</td></tr>";
            }
            ?>
        </tbody>
    </table>
</div>
<a href="dashboard.php" class="btn btn-primary position-fixed bottom-0 start-0 m-3">
    Go to Dashboard
</a>

<!-- Include Bootstrap JS -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>

</body>
</html>

<?php
// Close the database connection
$conn->close();
?>
