<?php
// Database connection
$conn = new mysqli("localhost:3306", "dotbteam_aqua", "Stormtrooper@07", "dotbteam_aquaclock");

if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Fetch the available roles
$rolesQuery = "SELECT id, role_name FROM roles";
$rolesResult = $conn->query($rolesQuery);

// Handle the role deletion
if (isset($_GET['role_id'])) {
    $role_id = $_GET['role_id'];

    // Delete the role from the database
    $deleteQuery = "DELETE FROM roles WHERE id = ?";
    $stmt = $conn->prepare($deleteQuery);
    $stmt->bind_param("i", $role_id);
    $stmt->execute();

    if ($stmt->affected_rows > 0) {
        $success_message = "Role deleted successfully!";
    } else {
        $error_message = "An error occurred while deleting the role.";
    }
}
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Delete Role</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
</head>
<body>
    <div class="container mt-4">
        <h2>Delete Role</h2>

        <!-- Success or Error Message -->
        <?php if (isset($success_message)): ?>
            <div class="alert alert-success"><?= htmlspecialchars($success_message) ?></div>
        <?php elseif (isset($error_message)): ?>
            <div class="alert alert-danger"><?= htmlspecialchars($error_message) ?></div>
        <?php endif; ?>

        <!-- Select Role to Delete -->
        <form method="GET" class="mb-4">
            <div class="form-group">
                <label for="role_id">Select Role</label>
                <select class="form-control" id="role_id" name="role_id" required>
                    <option value="">Select Role</option>
                    <?php while ($row = $rolesResult->fetch_assoc()): ?>
                        <option value="<?= $row['id'] ?>"><?= $row['role_name'] ?></option>
                    <?php endwhile; ?>
                </select>
            </div>
            <button type="submit" class="btn btn-danger">Delete Role</button>
        </form>

        <div class="mt-4">
            <a href="manage_roles.php" class="btn btn-secondary">Back to Manage Roles</a>
        </div>
    </div>

    <!-- Confirmation Popup -->
    <div class="modal" tabindex="-1" role="dialog" id="confirmationModal">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Confirm Deletion</h5>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="modal-body">
                    <p>Are you sure you want to delete this role?</p>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Cancel</button>
                    <button type="button" class="btn btn-danger" id="confirmDeleteButton">Delete</button>
                </div>
            </div>
        </div>
    </div>

    <!-- JavaScript for Modal and Confirmation -->
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.5.2/dist/js/bootstrap.bundle.min.js"></script>
    <script>
        $(document).ready(function() {
            // Open the modal when delete button is clicked
            $('button[type="submit"]').click(function(e) {
                e.preventDefault();

                // Open confirmation modal
                $('#confirmationModal').modal('show');
            });

            // Handle confirmation click
            $('#confirmDeleteButton').click(function() {
                // Get the selected role_id and redirect to delete
                var role_id = $('#role_id').val();
                window.location.href = 'delete_role.php?role_id=' + role_id;
            });
        });
    </script>
</body>
</html>

<?php
$conn->close();
?>
