<?php
session_start();
require('fpdf.php');

// Ensure user is logged in
if (!isset($_SESSION['username'])) {
    echo "You must be logged in to view this page.";
    exit;
}


// Database connection details
$host = 'localhost:3306';       // Database host
$dbname = 'dotbteam_aquaclock';     // Database name
$username = 'dotbteam_aqua';        // Your database username
$password = 'Stormtrooper@07';    // Your database password

// Create connection
$conn = new mysqli($host, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}


// Check if the form has been submitted with a user selection
if (isset($_POST['username'])) {
    $username = $_POST['username']; // Get the selected username
    
    // If 'all' is selected, fetch all clock-ins
    if ($username == 'all') {
        $query = "SELECT * FROM punches ORDER BY date DESC"; // Fetch all punches in descending order by date
        $stmt = $conn->prepare($query);
        $stmt->execute();
    } else {
        // Otherwise, fetch clock-ins for the selected username
        $query = "SELECT * FROM punches WHERE username = ? ORDER BY date DESC";
        $stmt = $conn->prepare($query);
        $stmt->bind_param("s", $username); // Bind the username to the query
        $stmt->execute();
    }

    // Get the result of the query
    if ($stmt) {
        $result = $stmt->get_result();
    } else {
        die("Error: Could not prepare the SQL statement.");
    }

    // Fetch logged-in user's username for the footer
    $logged_in_user = $_SESSION['username'];

    // Create the PDF
   
    $pdf = new FPDF();
    $pdf->AddPage();
    
    // Set logo at the top left
    $pdf->Image('images/logo.png', 10, 10, 40); // Adjust the size and position as needed
    $pdf->SetFont('Arial', 'B', 16);
    $pdf->Cell(0, 20, 'Clockin Report', 0, 1, 'C'); // Title in the center
    
    // Add space after the title
    $pdf->Ln(10);
    
    // Column headers with stylish format
    $pdf->SetFont('Arial', 'B', 12);
    $pdf->SetFillColor(220, 220, 220); // Light gray fill for headers
    $pdf->Cell(30, 10, 'Clockin ID', 1, 0, 'C', true);
    $pdf->Cell(40, 10, 'Date', 1, 0, 'C', true);
    $pdf->Cell(50, 10, 'User', 1, 0, 'C', true);
    $pdf->Cell(40, 10, 'Clockin Time', 1, 0, 'C', true);
    $pdf->Cell(40, 10, 'Clockout Time', 1, 0, 'C', true);
    $pdf->Cell(40, 10, 'Last Updated', 1, 1, 'C', true);
    
    // Reset font for data rows
    $pdf->SetFont('Arial', '', 11);
    $pdf->SetFillColor(240, 240, 240); // Alternating row color
    
    // Toggle row color for alternating rows
    $row_fill = false;
    
    // Fetch and output data rows
    while ($row = $result->fetch_assoc()) {
        $row_fill = !$row_fill; // Toggle fill color
        $pdf->Cell(30, 10, $row['id'], 1, 0, 'C', $row_fill);
        $pdf->Cell(40, 10, $row['date'], 1, 0, 'C', $row_fill);
        $pdf->Cell(50, 10, $row['username'], 1, 0, 'C', $row_fill);
        $pdf->Cell(40, 10, $row['time_in'], 1, 0, 'C', $row_fill);
        $pdf->Cell(40, 10, $row['time_out'], 1, 0, 'C', $row_fill);
        $pdf->Cell(40, 10, $row['updated_at'], 1, 1, 'C', $row_fill);
    }

    // Add footer with "Generated By" and timestamp
    $pdf->Ln(10);
    $pdf->SetFont('Arial', 'I', 10);
    $pdf->Cell(95, 10, 'Generated By: ' . $logged_in_user, 0, 0, 'L');
    $pdf->Cell(95, 10, 'Date: ' . date('Y-m-d H:i:s'), 0, 0, 'R');
    
    // Output PDF
    $pdf->Output();
    
    // Close the statement after use
    $stmt->close();
} else {
    die("Error: No user selected.");
}

// Close the database connection
$conn->close();
?>