<?php
session_start();

// Ensure user is logged in
if (!isset($_SESSION['username'])) {
    echo "You must be logged in to view this page.";
    exit;
}

// Database connection details
$host = 'localhost:3306';       // Database host
$dbname = 'dotbteam_aquaclock';     // Database name
$username = 'dotbteam_aqua';        // Your database username
$password = 'Stormtrooper@07';           // Your database password

// Create connection
$conn = new mysqli($host, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Get logged-in user's ID from session
$userName = $_SESSION['username'];
$query = "SELECT role_id FROM users WHERE username = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("s", $userName);
$stmt->execute();
$result = $stmt->get_result();

// Fetch the logged-in user's role_id
if ($result->num_rows == 0) {
    echo "User not found.";
    exit;
}

$user = $result->fetch_assoc();
$role_id = $user['role_id'];

// Fetch the role permissions from the roles table based on the role_id
$query = "SELECT permissions FROM roles WHERE id = ?";
$stmt = $conn->prepare($query);
$stmt->bind_param("i", $role_id);
$stmt->execute();
$result = $stmt->get_result();

// Fetch the role permissions
if ($result->num_rows == 0) {
    echo "Role not found.";
    exit;
}

$role = $result->fetch_assoc();
$permissions = json_decode($role['permissions'], true);

// Function to check if user has specific permission
function hasPermission($permission, $permissions) {
    return in_array($permission, $permissions);
}

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Manage Company</title>
    <!-- Include Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body>

<!-- Navbar -->
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
        <a class="navbar-brand" href="dashboard.php">AquaClock</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item"><a class="nav-link" href="clockins.php">Clockins</a></li>
                <li class="nav-item"><a class="nav-link" href="account.php">Account</a></li>
            </ul>
            <ul class="navbar-nav ms-auto">
                <li class="nav-item">
                    <a class="nav-link text-danger" href="logout.php">Logout</a>
                </li>
            </ul>
        </div>
    </div>
</nav>

<div class="container mt-5">
    <h2>Manage Company</h2>

    <!-- Users Section -->
    <?php if (hasPermission('manage_users', $permissions)): ?>
    <div class="mt-4">
        <h4>Users</h4>
        <div class="btn-group" role="group" aria-label="Users">
            <?php if (hasPermission('create_users', $permissions)): ?>
                <a href="create_user.php" class="btn btn-success" data-bs-toggle="modal" data-bs-target="#createUserModal">Create User</a>
            <?php endif; ?>
            <?php if (hasPermission('edit_users', $permissions)): ?>
                <a href="edit_user.php" class="btn btn-warning">Edit User</a>
            <?php endif; ?>
            <?php if (hasPermission('delete_users', $permissions)): ?>
                <a href="delete_user.php" class="btn btn-danger">Delete User</a>
            <?php endif; ?>
        </div>
    </div>
    <?php endif; ?>

    <!-- Roles Section -->
    <?php if (hasPermission('manage_roles', $permissions)): ?>
    <div class="mt-4">
        <h4>Roles</h4>
        <div class="btn-group" role="group" aria-label="Roles">
            <?php if (hasPermission('create_roles', $permissions)): ?>
                <a href="manage_roles.php" class="btn btn-success">Create Role</a>
            <?php endif; ?>
            <?php if (hasPermission('edit_roles', $permissions)): ?>
                <a href="edit_role.php" class="btn btn-warning">Edit Role</a>
            <?php endif; ?>
            <?php if (hasPermission('delete_roles', $permissions)): ?>
                <a href="delete_role.php" class="btn btn-danger">Delete Role</a>
            <?php endif; ?>
        </div>
    </div>
    <?php endif; ?>

    <!-- Clockins Section -->
    <?php if (hasPermission('manage_clockin', $permissions)): ?>
    <div class="mt-4">
        <h4>Clockins</h4>
        <div class="btn-group" role="group" aria-label="Clockins">
        <?php if (hasPermission('create_clockin', $permissions)): ?>
                <a href="create_clockin.php" class="btn btn-success">Create Clockin</a>
            <?php endif; ?>
            <?php if (hasPermission('edit_clockin', $permissions)): ?>
                <a href="edit_clockin.php" class="btn btn-warning">Edit Clockin</a>
            <?php endif; ?>
            <?php if (hasPermission('delete_clockin', $permissions)): ?>
                <a href="delete_clockin.php" class="btn btn-danger">Delete Clockin</a>
            <?php endif; ?>
        </div>
    </div>
    <?php endif; ?>

</div>


<!-- Include Bootstrap JS -->
<script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>

</body>
</html>

<?php
// Close the database connection
$conn->close();
?>

<?php

// Ensure user is logged in
if (!isset($_SESSION['username'])) {
    echo "You must be logged in to view this page.";
    exit;
}

// Database connection details
$host = 'localhost';       // Database host
$dbname = 'aquaclock';     // Database name
$username = 'root';        // Your database username
$password = '';            // Your database password

// Create connection
$conn = new mysqli($host, $username, $password, $dbname);

// Check connection
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

// Fetch roles for the role dropdown
$query = "SELECT id, role_name FROM roles";
$rolesResult = $conn->query($query);

?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Create User</title>
    <!-- Include Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"></script>
</head>
<body>



<div class="container mt-5">  
    <!-- Modal -->
    <div class="modal fade" id="createUserModal" tabindex="-1" aria-labelledby="createUserModalLabel" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="createUserModalLabel">Create New User</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form action="create_user.php" method="POST">
                        <div class="mb-3">
                            <label for="FirstName" class="form-label">First Name</label>
                            <input type="text" class="form-control" id="FirstName" name="FirstName" required>
                        </div>
                        <div class="mb-3">
                            <label for="last_name" class="form-label">Last Name</label>
                            <input type="text" class="form-control" id="last_name" name="last_name" required>
                        </div>
                        <div class="mb-3">
                            <label for="email" class="form-label">Email</label>
                            <input type="email" class="form-control" id="email" name="email" required>
                        </div>
                        <div class="mb-3">
                            <label for="phone" class="form-label">Phone</label>
                            <input type="text" class="form-control" id="phone" name="phone" required>
                        </div>
                        <div class="mb-3">
                            <label for="address" class="form-label">Address</label>
                            <input type="text" class="form-control" id="address" name="address" required>
                        </div>
                        <div class="mb-3">
                            <label for="username" class="form-label">Username</label>
                            <input type="text" class="form-control" id="username" name="username" required>
                        </div>
                        <div class="mb-3">
                            <label for="password" class="form-label">Password</label>
                            <input type="password" class="form-control" id="password" name="password" required>
                        </div>
                        <div class="mb-3">
                            <label for="role_id" class="form-label">Role</label>
                            <select class="form-select" id="role_id" name="role_id" required>
                                <?php while ($role = $rolesResult->fetch_assoc()): ?>
                                    <option value="<?php echo $role['id']; ?>"><?php echo $role['role_name']; ?></option>
                                <?php endwhile; ?>
                            </select>
                        </div>
                        <button type="submit" class="btn btn-success">Create User</button>
                    </form>
                </div>
            </div>
        </div>
    </div>

</div>

<div class="text-left mt-4 ml-4 p-4">
    <a href="dashboard.php" class="btn btn-primary">
        Back to Dashboard
    </a>
</div>


<?php
// Close the database connection
$conn->close();
?>



